org.thewonderlemming.c4plantuml.linter.rules

## Interface RuleParameters.AddParameter

- Enclosing class:
    RuleParameters

      public static interface RuleParameters.AddParameter

  A part of the `RuleParameters` builder.
  Author:
    thewonderlemming

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `RuleParameters.AddParameter` | `addParameter(String name, String value)` Creates a new parameter and adds it to the current parameters list in the builder.
    `default RuleParameters.AddParameter` | `addParameters(Map<String,String> values)` Creates a collection parameters and adds them to the current parameters list in the builder.
    `RuleParameters` | `build()` Builds the new `RuleParameters` instance and returns it.

- - ### Method Detail

    - #### addParameter

          RuleParameters.AddParameter addParameter(String name,
                                                   String value)

      Creates a new parameter and adds it to the current parameters list in the builder.

      It another parameter exists with the same name, then its value will be replaced with the new one.

      Parameters:
        `name` - the name of the new parameter.
        `value` - the value of the new parameter.
      Returns:
        the current instance of `RuleParameters.AddParameter` to allow method chaining.

    - #### addParameters

          default RuleParameters.AddParameter addParameters(Map<String,String> values)

      Creates a collection parameters and adds them to the current parameters list in the builder.

      It another parameter exists with the same name as one of the new parameters, then its value will be replaced with the new value.

      Parameters:
        `values` - a `Map` of parameters to create and to add to the new instance.
      Returns:
        the current instance of `RuleParameters.AddParameter` to allow method chaining.

    - #### build

          RuleParameters build()

      Builds the new `RuleParameters` instance and returns it.
      Returns:
        the newly built instance.

Copyright © 2020. All rights reserved.